Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.search.basic.expression
Class ComparedProperty

    java.lang.Object
      org.apache.slide.search.basic.expression.ComparedProperty

public class ComparedProperty
extends java.lang.Object

represents a property, that is to be compared against a literal

Version:
  $Revision: 1.4 $

Field Summary
`protected boolean` | `casesensitive` indicate, if compare should be casesensitive
`protected java.lang.String` | `literal` the property's value
`protected java.lang.String` | `property` the property name
`protected java.lang.String` | `propNamespace` the property's namespace

Constructor Summary
`ComparedProperty()` allows to create a ComparedProperty without parameters.
`ComparedProperty(org.jdom.Element e)` Creates a compare expression according to Element e
`ComparedProperty(org.jdom.Element e, boolean withLiteral)` Creates a compare expression according to Element e.
`ComparedProperty(java.lang.String property, java.lang.String propNamespace)` Creates a ComparedProperty with the given `propName` and `propNamespace`.

Method Summary
`boolean` | `getCasesensitive()`
`java.lang.String` | `getLiteral()`
`java.lang.String` | `getProperty()`
`java.lang.String` | `getPropNamespace()`
`boolean` | `isNumeric()` Indicates, if this property shall be treated as numeric in compare
`void` | `setLiteral(java.lang.String literal)`
`void` | `setProperty(java.lang.String p)`
`void` | `setPropNamespace(java.lang.String p)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### literal

    protected java.lang.String literal

  the property's value

### property

    protected java.lang.String property

  the property name

### propNamespace

    protected java.lang.String propNamespace

  the property's namespace

### casesensitive

    protected boolean casesensitive

  indicate, if compare should be casesensitive

Constructor Detail

### ComparedProperty

    public ComparedProperty()

  allows to create a ComparedProperty without parameters. property, namespace and literal msut be set with set methods

### ComparedProperty

    public ComparedProperty(java.lang.String property,
                            java.lang.String propNamespace)

  Creates a ComparedProperty with the given `propName` and `propNamespace`.

Parameters:
  `property` - the property.
  `propNamespace` - the property namespace.

### ComparedProperty

    public ComparedProperty(org.jdom.Element e)
                     throws InvalidQueryException

  Creates a compare expression according to Element e

Parameters:
  `e` - jdom element, that describes the expression

### ComparedProperty

    public ComparedProperty(org.jdom.Element e,
                            boolean withLiteral)
                     throws InvalidQueryException

  Creates a compare expression according to Element e.

Parameters:
  `e` - jdom element, that describes the expression
  `withLiteral` - indicates, if a literal is supplied or not (for example: iscollectionhas no literal)

Method Detail

### setLiteral

    public void setLiteral(java.lang.String literal)

### getLiteral

    public java.lang.String getLiteral()

### setProperty

    public void setProperty(java.lang.String p)

### getProperty

    public java.lang.String getProperty()

### setPropNamespace

    public void setPropNamespace(java.lang.String p)

### getPropNamespace

    public java.lang.String getPropNamespace()

### getCasesensitive

    public boolean getCasesensitive()

### isNumeric

    public boolean isNumeric()

  Indicates, if this property shall be treated as numeric in compare

  Returns:
    a boolean

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD